function generarRefCons_VZ()
{
    jQuery(function(){
        $('#conss4').attr("disabled", true);
    });

    var consvz = $('#consvz').val();
    var cltvz = $('#clientevz').val();      var tipOvz = $('#tipOperacionvz').val();
    var tipCvz = $('#tipoCargavz').val();    var fechEvz = $('#Fecha_eta').val();
    var flvz = $('#foliovz').val();         var pedvz = $('#pedimentovz').val();
    var adnvz = $('#aduanavz').val();       var ptntvz = $('#patentevz').val();
    var cont1vz = $('#cntvz1').val();       var cont2vz = $('#cntvz2').val();
    var cont3vz = $('#cntvz3').val();       var cont4vz = $('#cntvz4').val();
    var cont5vz = $('#cntvz5').val();       var cont6vz = $('#cntvz6').val();
    var cont7vz = $('#cntvz7').val();       var cont8vz = $('#cntvz8').val();
    var cont9vz = $('#cntvz9').val();       var cont10vz = $('#cntvz10').val();

    if(cltvz != "" && tipOvz != "" && tipCvz != "" && fechEvz != "" && flvz != "" && pedvz != "" && adnvz != "" && ptntvz != ""){
        $.ajaxSetup({
            headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type: 'GET',
            url: 'RefConsVZ',
            data: {
                'cliente': cltvz, 'consecutivo': consvz, 'tipOperacion': tipOvz,'tipCarga': tipCvz,'fecha_eta': fechEvz,'folio': flvz,'pedimento': pedvz,'aduana': adnvz,'patente': ptntvz, 'cont1': cont1vz,'cont2': cont2vz, 'cont3': cont3vz, 'cont4': cont4vz,'cont5': cont5vz,'cont6': cont6vz,'cont7': cont7vz,'cont8': cont8vz,'cont9': cont9vz,'cont10': cont10vz,
            },
            success:function(result){
                    $('#cuerpoTBVZ').html(result);

                    $('#tipOperacionvz')[0].selectedIndex = 0;
                    $('#tipoCargavz')[0].selectedIndex = 0;
                    $('#Fecha_etavz')[0].selectedIndex = 0;
                    document.getElementById("consvz").value = "";
                    document.getElementById("cntvz1").value = "";
                    document.getElementById("cntvz2").value = "";
                    document.getElementById("cntvz3").value = "";
                    document.getElementById("cntvz4").value = "";
                    document.getElementById("cntvz5").value = "";
                    document.getElementById("cntvz6").value = "";
                    document.getElementById("cntvz7").value = "";
                    document.getElementById("cntvz8").value = "";
                    document.getElementById("cntvz9").value = "";
                    document.getElementById("cntvz10").value = "";

                    jQuery(function(){
                        $('#RefGenVZ').modal('show');
                        $('#conss4').attr("disabled", false);
                    });

            },error:function (xhr, ajaxOptions, thrownError){
                if(xhr.status==404) {
                    alert(thrownError);
                }
            }
        });
    }else{
        alert('Revisa que todos los campos esten llenos!');
        jQuery(function(){
            $('#conss4').attr("disabled", false);
        });
    }
}